<?xml version="1.0" encoding="utf-8" ?>

<!--
/* Copyright (c) 2016-2018, The Linux Foundation. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above
 *       copyright notice, this list of conditions and the following
 *       disclaimer in the documentation and/or other materials provided
 *       with the distribution.
 *     * Neither the name of The Linux Foundation nor the names of its
 *       contributors may be used to endorse or promote products derived
 *       from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
 * BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
-->
<HintConfigs>
    <Powerhint>

        <!-- camera 30fps and camera preview -->
        <!--L CPU CORE 0 SCHED LOAD BOOST -->
        <!--L CPU CORE 1 SCHED LOAD BOOST -->
        <!--L CPU CORE 2 SCHED LOAD BOOST -->
        <!--L CPU CORE 3 SCHED LOAD BOOST -->
        <!--L CPU CORE 4 SCHED LOAD BOOST -->
        <!--L CPU CORE 5 SCHED LOAD BOOST -->
        <!--L CPU Hispeed freq of 998Mhz -->
        <!--L CPU - Set hispeed load 95 -->
        <!--BWMON - Set sample_ms 40 -->
        <Config
            Id="0x00001331" Enable="true" Target="qcs605"
            Resources="0x40C68100, 0xFFFFFFF1, 0x40C68110, 0xFFFFFFF1, 0x40C68120, 0xFFFFFFF1,
            0x40C68130, 0xFFFFFFF1, 0x40C68140, 0xFFFFFFF1, 0x40C68150, 0xFFFFFFF1,
            0x4143C100, 0x3E6, 0x41440100, 0x5F, 0x41820000, 0x28"/>

        <!-- camera 60 FPS -->
        <!--L CPU CORE 0 SCHED LOAD BOOST -->
        <!--L CPU CORE 1 SCHED LOAD BOOST -->
        <!--L CPU CORE 2 SCHED LOAD BOOST -->
        <!--L CPU CORE 3 SCHED LOAD BOOST -->
        <!--L CPU CORE 4 SCHED LOAD BOOST -->
        <!--L CPU CORE 5 SCHED LOAD BOOST -->
        <!--BWMON - Set sample_ms 40 -->
        <Config
            Id="0x00001332" Enable="true" Target="qcs605"
            Resources="0x40C68100, 0xFFFFFFF1, 0x40C68110, 0xFFFFFFF1, 0x40C68120, 0xFFFFFFF1,
            0x40C68130, 0xFFFFFFF1, 0x40C68140, 0xFFFFFFF1, 0x40C68150, 0xFFFFFFF1,
            0x4143C100, 0x3E6, 0x41440100, 0x5F, 0x41820000, 0x28"/>
    </Powerhint>
</HintConfigs>

